<div class="container screen-pt-100 relative">
    <a routerLink="/" style="position: absolute;z-index: 2; top: 2%;"><i class="fa fa-arrow-circle-left" style="font-size: 30px;margin-top: 10px;"></i></a>
    <div class="row">
        <div class="col-md-12 sign-12">
            <div class="sign-in-body">
                <a routerLink="/" class="logo-parent"><img class="mb-1" routerLink="/" src="./assets/build/img/logo/logo-1.png" alt="logo1" width="80"></a>
                <form class="sign-form mb-0" [formGroup]="registerform" (ngSubmit)="register()">
                    <h2><b>Créer un compte</b></h2>
                    <div class="mb-3 mt-3">
                        <label for="name" class="form-label">Nom et prénom</label>
                        <input type="text" class="form-control" id="name" name="name" formControlName="first_name">
                    </div>
                    <div class="errormsg" *ngIf="registerform.get('first_name')?.touched && registerform.get('first_name')?.hasError('required')">
                        <h4> <b>Le prénom est obligatoire</b></h4>
                    </div>


                    <div class="mb-3 mt-3">
                        <label for="name" class="form-label">Nom de famille</label>
                        <input type="text" class="form-control" id="name" name="name" formControlName="last_name">
                    </div>
                    <div class="errormsg" *ngIf="registerform.get('last_name')?.touched && registerform.get('last_name')?.hasError('required')">
                        <h4 class="mb-0"> <b>Le nom de famille est requis</b></h4>

                    </div>


                    <div class="mb-3 ">
                        <label for="email" class="form-label">Email</label>
                        <input type="text" class="form-control" id="email" placeholder="" name="email" formControlName="email">
                    </div>
                    <div class="errormsg" *ngIf="registerform.get('email')?.touched && registerform.get('email')?.hasError('required')">
                        <h4 class="mb-0"> <b>L'email est requis</b></h4>

                    </div>
                    <div class="errormsg" *ngIf="registerform.get('email')?.touched && registerform.get('email')?.hasError('pattern')">

                        <h4 class="mb-0"> <b> L'adresse électronique doit être valide</b></h4>
                    </div>




                    <div class="mb-3 ">
                        <label for="email" class="form-label">Numéro de téléphone </label>
                        <div style="display: flex;align-items: center;">
                            <select formControlName="countrycode" class="form-select" style="width: 90px" [(ngModel)]='nrSelect' (change)="selectCounrtyCode($event)">
                        <!-- <option value="+225" [selected]="true" selected>+225</option>
                        <option value="+91">+91</option> -->
                        <option *ngFor="let code of countries" value="{{code.code}}" [selected]="true">{{code.code}}</option>
                       
                     </select>
                            <input type="text" class="form-control" id="phone" placeholder="" formControlName="phone" style="margin:4px" name="phone">
                        </div>

                    </div>
                    <div class="errormsg" *ngIf="registerform.get('countrycode')?.touched && registerform.get('countrycode')?.hasError('required')">
                        <h4 class="mb-0"> <b> Sélectionner le code pays</b></h4>

                    </div>
                    <div class="errormsg" *ngIf="registerform.get('phone')?.touched && registerform.get('phone')?.hasError('required')">
                        <h4 class="mb-0"> <b> Le numéro de téléphone est requis</b></h4>

                    </div>
                    <div class="errormsg" *ngIf="registerform.get('phone')?.touched && registerform.get('phone')?.hasError('pattern')">

                        <h4 class="mb-0"> <b> Entrer un numéro de téléphone valide</b></h4>
                    </div>



                    <div class="mb-3 ">
                        <label for="password" class="form-label">Mot de passe</label>
                        <input class="form-control" id="pass" placeholder="" name="password" formControlName="password" required [type]="changetype?'text':'password' ">
                        <span class="mini-c">(Minimum 8 caractères)</span>

                        <span toggle="#password-field" id="passwordicon" (click)="viewpass()" [ngClass]="visible?'fa fa-eye':'fa fa-eye-slash' "></span>


                    </div><br>
                    <div class="errormsg" *ngIf="registerform.get('password')?.touched && registerform.get('password')?.hasError('required')">
                        <h4 class="mb-0"> <b> Le mot de passe est requis</b></h4>

                    </div>
                    <div class="errormsg" *ngIf="registerform.get('password')?.touched && registerform.get('password')?.hasError('minlength')">
                        <h4 class="mb-0"> <b> Un minimum de 8 personnages est requis</b></h4>

                    </div>
                    <div class="mb-3">
                        <label for="password1" class="form-label">Confirmer le mot de passe</label>
                        <input type="password" class="form-control" id="pass" placeholder="" required name="password1" formControlName="password2" (blur)="confirmpassword()">

                    </div>
                    <div class="errormsg" *ngIf="registerform.get('password2')?.touched && registerform.get('password2')?.hasError('required')">
                        <h4 class="mb-0"> <b> Le mot de passe ne correspond pas</b></h4>
                    </div>

                    <div class="errormsg" [hidden]="confirm">
                        <h4 class="mb-0"> <b> Le mot de passe ne correspond pas</b></h4>

                    </div>
                    <label><input type="checkbox" (change)="termandconditions($event)"> &nbsp; En créant un compte vous
                  acceptez les <a style="color: #31a64f  !important;cursor: pointer;font-weight: bold;"
                  href="/term_conditions" target="_blank">
                     Conditions générales</a> de vente O'Rawgadou.</label>
                    <div class="errormsg" *ngIf="termsandconditions ==  false" [hidden]="showtandc">
                        <br>
                        <h4 class="mb-0"> <b>{{ termsandconditionserror }}</b></h4>
                    </div><br><br>
                    <button type="submit" class="btn btn-signs " [disabled]="regdis"><b>Continuer <i class="fa fa-spinner fa-spin" *ngIf="loading"></i></b></button><br><br>
                    <div class="comeBack_up" *ngIf="fulldata">
                        <div *ngIf="fulldata.status == false; else loggedOut">
                            <div class="alert alert-danger"><strong>{{ fulldata.errmessage }}</strong></div>
                        </div>
                        <ng-template #loggedOut>
                            <div class="alert alert-success"><strong>{{ fulldata.message }}</strong></div>
                        </ng-template>
                    </div>
                    <p>Vous avez deja un compte?<a routerLink="/login" style="color:#31a64f  !important"> Me connecter</a> </p>


                </form>
            </div>
        </div>
    </div>
</div><br>
<footer class="footer-3 fotr-1 d-none d-sm-none d-md-block d-lg-block" style="position: sticky;top: 100%;">
    <div class="container">
        <div class="row">
            <div class="col-md-12 text-center">
                <ul class="fottr-ul-22">
                    <li><a href="/term_conditions" class="">Conditions d'utilisation</a></li>
                    <li><a href="/your_personal" class="">Protection de vos informations personnelles</a></li>
                    <li><a href="/contact_us" class="">Aide</a></li>
                   

                </ul>
                <p class="footr-p-botm">© 2023-2023, Rawgadou </p>
            </div>
        </div>
    </div>
</footer>